package com.kuyuntech.cofarcooking.device.sdk.devmode.core;

import com.kuyuntech.cofarcooking.device.sdk.constant.core.WorkModes;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class Smoothie011 extends BaseDevMode{

    public Smoothie011(){

        this.setMode(WorkModes.SMOOTHIE);


        //时间
        this.setMinTime(60);
        this.setMaxTime(60);
        this.setDefaultTime(60);
        this.setTimeChange(false);

        //电机
        this.setDefaultMotorGear(10);
        this.setMaxMotorGear(10);
        this.setMaxMotorGear(10);
        this.setMotorGearChange(false);
        this.setMotorDirectionChange(false);

        //温度
        this.setDefaultTemp(0);
        this.setMinTemp(0);
        this.setMaxTemp(0);
        this.setTempChange(false);
    }


}
